
Katello - Bug #5056

after disabling the repository set is doomed

04/03/2014 12:14 PM - Lukas Pramuk

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When enable and then disable repository set at webui: Content -> Red Hat Repositories, then this repository set is doomed, i.e you

can't enable it again

Steps:

1. enable a repository set by ticking ckeckbox

PUT https://&lt;SAT&gt;/katello/products/46/refresh_content

HTTP/1.1 200 OK (43sec)

2.disable the chosen repository set by unticking ckeckbox

PUT https://&lt;SAT&gt;/katello/products/46/disable_content

HTTP/1.1 200 OK (10sec)

3. enable the chosen repository set again -> it stays unticked !!!

PUT https://dell-per905-01.rhts.eng.bos.redhat.com/katello/products/46/refresh_content

HTTP/1.1 500 Internal Server Error (13sec)

/var/log/pulp/pulp.log:

2014-04-03 08:00:48,594 pulp.server.dispatch.task:ERROR: Duplicate resource:

LPRAMUK-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_Kickstart_i386_5_10

Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 137, in _run

result = call(*args, **kwargs)

File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/cud.py", line 146, in create_and_configure_repo

repo = self.create_repo(repo_id, display_name=display_name, description=description, notes=notes)

File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/cud.py", line 76, in create_repo

raise DuplicateResource(repo_id)

DuplicateResource: Duplicate resource:

LPRAMUK-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_Kickstart_i386_5_10

2014-04-03 08:00:48,693 pulp.server.webservices.middleware.exception:ERROR: Duplicate resource:

LPRAMUK-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_Kickstart_i386_5_10

Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/exception.py", line 44, in call

return self.app(environ, start_response)

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/postponed.py", line 39, in call

return self.app(environ, start_response)

File "/usr/lib/python2.6/site-packages/web/application.py", line 278, in wsgi

result = self.handle_with_processors()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 26, in _handle_with_processors

return process(self.processors)

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/web/application.py", line 557, in processor

return handler()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>

return p(lambda : process(processors))
File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/web/application.py", line 572, in processor

result = handler()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 25, in process

return self.handle()

File "/usr/lib/python2.6/site-packages/web/application.py", line 232, in handle

return self._delegate(fn, self.fvars, args)

File "/usr/lib/python2.6/site-packages/web/application.py", line 413, in _delegate

return f()

File "/usr/lib/python2.6/site-packages/web/application.py", line 421, in <lambda>

f = lambda: self._delegate_sub_application(pat, what)

File "/usr/lib/python2.6/site-packages/web/application.py", line 446, in _delegate_sub_application

return app.handle_with_processors()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 26, in _handle_with_processors

return process(self.processors)

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/web/application.py", line 557, in processor

return handler()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/web/application.py", line 572, in processor

result = handler()

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>

return p(lambda : process(processors))

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 25, in process

return self.handle()

File "/usr/lib/python2.6/site-packages/web/application.py", line 232, in handle

return self._delegate(fn, self.fvars, args)

File "/usr/lib/python2.6/site-packages/web/application.py", line 411, in _delegate

return handle_class(cls)

File "/usr/lib/python2.6/site-packages/web/application.py", line 386, in handle_class

return tocall(*args)

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/decorators.py", line 227, in _auth_decorator

value = method(self, *args, **kwargs)

File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/repositories.py", line 183, in POST

repo = execution.execute_sync(call_request)

File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 137, in _run

result = call(*args, **kwargs)

File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/cud.py", line 146, in create_and_configure_repo

repo = self.create_repo(repo_id, display_name=display_name, description=description, notes=notes)

File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/cud.py", line 76, in create_repo

raise DuplicateResource(repo_id)

DuplicateResource: Duplicate resource:

LPRAMUK-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_Kickstart_i386_5_10

When enabling it should skip creation of already created stuff or what ;-)

History

#1 - 04/03/2014 12:24 PM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

Relates to http://projects.theforeman.org/issues/4826, taking this one as well

#2 - 04/03/2014 01:22 PM - Klaas D

as a work around you can delete the repositories manually in pulp

#3 - 04/25/2014 12:05 PM - Justin Sherrill
- translation missing: en.field_release set to 13

#4 - 05/05/2014 11:45 AM - Ivan Necas

- Status changed from Assigned to Closed

The repository-set enable/disable was reworked so that this issue should not appear anymore

#5 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#6 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
